package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）枚举类
*
* @author zxfei
*/
public enum OnlineOperatDeepEnum {
    互联网咨询("互联网咨询", "互联网咨询"),
    互联网收件("互联网收件", "互联网收件"),
    互联网预审("互联网预审", "互联网预审"),
    互联网受理("互联网受理", "互联网受理"),
    互联网办理("互联网办理", "互联网办理"),
    互联网办理结果信息反馈("互联网办理结果信息反馈", "互联网办理结果信息反馈"),
    其他("其他", "其他");
    private String value;
    private String desc;

    OnlineOperatDeepEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static OnlineOperatDeepEnum getByValue(String value) {
        for (OnlineOperatDeepEnum onlineOperatDeepEnum : OnlineOperatDeepEnum.values()) {
            if (onlineOperatDeepEnum.getValue() == value) {
                return onlineOperatDeepEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (OnlineOperatDeepEnum item : OnlineOperatDeepEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}